Get Post History
Retrieve your posting history with status information for each platform. **Pagination**: - Use `page` parameter for pagination (10 items per page) - Or use `startTime` and `endTime` for date range filtering (returns all matching posts) **Status Values**: - PENDING: Post is queued - SUCCESS: Posted successfully - FAILED: Post failed (check message field for error code)
Retrieve your posting history with status information for each platform.
Pagination:
- Use
pageparameter for pagination (10 items per page) - Or use
startTimeandendTimefor date range filtering (returns all matching posts)
Status Values:
- PENDING: Post is queued
- SUCCESS: Posted successfully
- FAILED: Post failed (check message field for error code)
Authorization
BearerAuth In: header
Query Parameters
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/post/history"{ "success": true, "data": [ { "id": "507f1f77bcf86cd799439011", "description": "My video post", "filename": "screenshot.jpg", "result": [ { "platform": "TikTok", "usernameImage": "profile.jpg", "id": "507f1f77bcf86cd799439012", "username": "myusername", "status": "SUCCESS" } ], "scheduled": false, "date": "2026-02-19T10:00:00.000Z" } ], "total": 1}{ "success": false}{ "success": false}Create a Post POST
Upload a video to one or more connected platforms. **Video Requirements:** - Format: MP4, MOV, or other common video formats - Size: Maximum 500MB - Duration: 3-90 seconds - Orientation: Vertical (9:16) **Scheduling:** - Pass `scheduled` as a Unix timestamp in milliseconds for scheduled posting (omit this parameter if you don't want to schedule)
Cancel Scheduled Post GET
Cancel a post that was scheduled for later. The post will be permanently deleted.